%define upstream_name    TermReadKey
%define upstream_version 2.33

Summary:    Term::ReadKey Perl module
Name:       perl-Term-ReadKey
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5
License:    GPL
Group:      Development/Perl
Source0:    http://search.cpan.org/CPAN/authors/id/J/JS/JSTOWE/%{upstream_name}-%{upstream_version}.tar.gz
Url:        http://search.cpan.org/dist/%{upstream_name}
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
This module, ReadKey, provides ioctl control for terminals so the
input modes can be changed (thus allowing reads of a single character
at a time), and also provides non-blocking reads of stdin, as well as
several other terminal related features, including
retrieval/modification of the screen size, and retrieval/modification
of the control characters.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor </dev/null
# (tv) paralel build is broken:
make

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/*
%{_mandir}/*/*


%changelog
* Mon Jul 10 2017 bb2 <bb2> - 2.330.0-5pclos2017
- rebuild against updates
